Bug 156332 - net/quagga - update to 0.99.18
net/quagga - update to 0.99.18
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Xin LI
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-11 16:10 UTC by if
Modified: 2011-10-05 21:30 UTC (History)
0 users

See Also:


Attachments
file.diff (25.70 KB, patch)
2011-04-11 16:10 UTC, if
no flags Details | Diff
quagga_0.99.18.txt (79.77 KB, TEXT/plain)
2011-04-21 10:11 UTC, if
no flags Details
quagga.diff (66.91 KB, patch)
2011-09-30 05:51 UTC, boris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description if freebsd_committer 2011-04-11 16:10:17 UTC
patchset for quagga 0.99.18 update:

needed:
patch-bgp_attr
patch-configure.ac
patch-git-1 - build fixes
patch-git-2 - build fixes
patch-git-3 - build fixes
patch-lib-sockopt.c
patch-ospf6d - resolve ospg6d segfault
patch-ospf6d-segfault - resolve ospg6d segfault


optional:
patch-blackhole - save blackhole/reject routes correctly
patch-ospf6d-log - log neighbour changes
patch-rtadv - cosmetic patch for ipv6 nd router-preference

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-04-11 16:10:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->if

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-04-11 16:10:35 UTC
Maintainer of net/quagga,

Please note that PR ports/156332 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/156332

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-04-11 16:10:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 boris 2011-04-11 16:19:49 UTC
Hello, Ingo!

     Thank You for the patch. I will delay it for a some time, as there 
are some stability issues reported by Yandex.ru team.

-- 
With respect,
Boris Kovalenko
Comment 5 if 2011-04-21 10:11:34 UTC
attached patch for quagga 0.99.18.

patch is not yet tested - please test the patch before apply.
(I currently use quagga-head).

Kind regards,
 	Ingo Flaschberger

Comment 6 boris 2011-09-30 05:51:46 UTC
Hello!

     Here is the diff to 0.99.20 version. Please commit it.

-- 
Regards,
Boris

Comment 7 Xin LI freebsd_committer 2011-10-05 20:23:39 UTC
State Changed
From-To: feedback->open

Take (secteam hat). 


Comment 8 Xin LI freebsd_committer 2011-10-05 20:23:39 UTC
Responsible Changed
From-To: if->delphij

Take (secteam hat)
Comment 9 Xin LI freebsd_committer 2011-10-05 21:25:10 UTC
State Changed
From-To: open->closed

Committed maintainer update, thanks!
Comment 10 dfilter freebsd_committer 2011-10-05 21:26:19 UTC
delphij     2011-10-05 20:26:10 UTC

  FreeBSD ports repository

  Modified files:
    net/quagga           Makefile distinfo 
  Removed files:
    net/quagga/files     patch-CVE-2010-1674 patch-CVE-2010-1675 
                         patch-configure.ac patch-git-1 
                         patch-git-2 patch-git-3 patch-git-4 
                         patch-git-5 patch-lib-sockopt.c 
  Log:
  Update to 0.99.20, this is a security fix.
  
  Submitted by:   maintaier
  PR:             ports/156332
  
  Revision  Changes    Path
  1.113     +2 -2      ports/net/quagga/Makefile
  1.28      +2 -2      ports/net/quagga/distinfo
  1.2       +0 -67     ports/net/quagga/files/patch-CVE-2010-1674 (dead)
  1.2       +0 -1296   ports/net/quagga/files/patch-CVE-2010-1675 (dead)
  1.7       +0 -65     ports/net/quagga/files/patch-configure.ac (dead)
  1.2       +0 -14     ports/net/quagga/files/patch-git-1 (dead)
  1.2       +0 -20     ports/net/quagga/files/patch-git-2 (dead)
  1.2       +0 -40     ports/net/quagga/files/patch-git-3 (dead)
  1.2       +0 -17     ports/net/quagga/files/patch-git-4 (dead)
  1.2       +0 -127    ports/net/quagga/files/patch-git-5 (dead)
  1.5       +0 -81     ports/net/quagga/files/patch-lib-sockopt.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"